Subject: 2.0.36 win32 crash

From: "Aryeh Katz" <[email-masked]>
Date: Wed, 12 Jun 2002 16:45:28 -0400

I tried to following configuration, which I expected to work as per my 1.3.24 
envirnoment
<VirtualHost _default_:81>
    ErrorLog logs/error2.log
    CustomLog logs/access2.log common
    ProxyPass / https://my.securehost.com/
    ProxyPassReverse / https://my.securehost.com/
</VirtualHost>
Apache then crashed in libapr.
This problem was resolved by adding SSLProxyEngine on for the virtual host 
in question.
If a call stack is desired, I can produce that, although I think it best to flag 
any "ProxyPass ... https:// ..." configuration as an error, if SSLProxyEngine 
is not set.
---
Aryeh Katz
VASCO 			
www.vasco.com		

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]